> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nectarclimate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Webhook Portal

> This endpoint returns a URL to access and setup webhooks via SVIX. Use webhooks to have your web application listen to updates to connections and documents in real time. Read more about consuming endpoints with SVIX here: https://docs.svix.com/receiving/introduction. We recommend using the V2 webhook events for the newest features and updates. V1 webhook events will be removed by 2025-06-01. Webhooks must be enabled via PATCH /external/configure_webhook before this endpoint can be used.



## OpenAPI

````yaml /api-reference/openapi-v2-1.json post /configure_webhook
openapi: 3.1.0
info:
  title: Nectar API Documentation
  version: 1.0.0 (v1)
  description: >-
    Complete API documentation for v2.1 endpoints to managing companies, sites,
    data, and documents
servers:
  - url: https://external.nectarclimate.com/v2.1
    description: Nectar API Server
security: []
paths:
  /configure_webhook:
    post:
      tags:
        - Webhook Portal
      summary: Webhook Portal
      description: >-
        This endpoint returns a URL to access and setup webhooks via SVIX. Use
        webhooks to have your web application listen to updates to connections
        and documents in real time. Read more about consuming endpoints with
        SVIX here: https://docs.svix.com/receiving/introduction. We recommend
        using the V2 webhook events for the newest features and updates. V1
        webhook events will be removed by 2025-06-01. Webhooks must be enabled
        via PATCH /external/configure_webhook before this endpoint can be used.
      operationId: configure_webhook_create
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookPortalResponse'
          description: ''
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: ''
        '403':
          description: 'Forbidden: Access to the site is denied or webhooks are not enabled.'
      security:
        - ExternalAuthentication: []
components:
  schemas:
    WebhookPortalResponse:
      type: object
      description: Response containing the webhook portal URL.
      properties:
        url:
          type: string
          format: uri
          description: URL to access the webhook management portal.
      required:
        - url
    ErrorResponse:
      type: object
      description: Serializer for error responses.
      properties:
        detail:
          type: string
        error:
          type: string
  securitySchemes:
    ExternalAuthentication:
      type: apiKey
      in: header
      name: X-API-KEY

````